Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 592266

Summary: arpd - unrecognized and undocumented options
Product: Red Hat Enterprise Linux 6 Reporter: Milos Malik <mmalik>
Component: iprouteAssignee: Marcela Mašláňová <mmaslano>
Status: CLOSED CURRENTRELEASE QA Contact: Milos Malik <mmalik>
Severity: low Docs Contact:
Priority: low    
Version: 6.0CC: ovasik, syeghiay
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: iproute-2.6.32-6.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 645260 742153 (view as bug list) Environment:
Last Closed: 2010-11-10 20:41:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 645260, 742153    
Attachments:
Description Flags
fix usage and man page none

Description Milos Malik 2010-05-14 11:50:24 UTC
Description of problem:
Usage message (arpd --help) contains 0 UNSUPPORTED option(s):
Usage message (arpd --help) OMITS 5 supported option(s):
	-?
	-B
	-R
	-h
	-n
Man page contains 1 UNSUPPORTED option(s):
	-r
Man page OMITS 1 supported option(s):
	-R

Version-Release number of selected component (if applicable):
iproute-2.6.32-5.el6

How reproducible:
always

Steps to Reproduce:
# ./compare-options.sh `which arpd`
Program path:
	/usr/sbin/arpd
Guessing man page path:
	/usr/share/man/man8/arpd.8.gz
According to binary analysis the binary supports 10 option(s):
	-?
	-B
	-R
	-a
	-b
	-f
	-h
	-k
	-l
	-n

  
Actual results:


Expected results:

Comment 1 RHEL Product and Program Management 2010-05-14 12:04:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Product and Program Management 2010-05-21 14:15:46 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Petr Lautrbach 2010-06-16 12:27:30 UTC
Created attachment 424429 [details]
fix usage and man page

This page fixes usage message and man page according to actual code.

Comment 5 releng-rhel@redhat.com 2010-11-10 20:41:11 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.